Subject: bug#44651: [PATCH] Silence byte-compiler warning

From: Brian Leung <[email-masked]>
Date: Tue, 17 Nov 2020 00:52:41 +0100 (CET)

> I don't think that should be necessary?  The function in question is
> autoloaded:
> 
> ;;;###autoload
> 
> Where/when do you see this compilation warning?

I noticed this on the feature/native-comp branch, after invoking `helm-man-woman` and having woman.el native-compiled asynchronously. I don't have the log.

I did not notice that it was autoloaded. Andrea, are you aware of any issues that the native-comp branch may have with this kind of thing (autoloaded functions defined in files that do not necessarily get REQUIRE-d)? If not, maybe we can just ignore my patch.

Thanks,
Brian

> ----------------------------------------
> From: Lars Ingebrigtsen <[email-masked]>
> Sent: Mon Nov 16 23:46:05 CET 2020
> To: Brian Leung <[email-masked]>
> Cc: <[email-masked]>
> Subject: Re: bug#44651: [PATCH] Silence byte-compiler warning
> 
> 
> Brian Leung <[email-masked]> writes:
> 
> > See attached.
> 
> [...]
> 
> > * lisp/woman.el: Declare imenu-add-to-menubar.
> 
> I don't think that should be necessary?  The function in question is
> autoloaded:
> 
> ;;;###autoload
> (defun imenu-add-to-menubar (name)
> 
> Where/when do you see this compilation warning?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Sent with https://mailfence.com
Secure and private email